<?php


namespace App\Entities\ProcedimentoExame;

use App\Utils\Builder;

class ProcedimentoExameBuilder implements Builder
{
    private $id;
    private $id_exame;
    private $id_procedimento;

    public function setId($id)
    {
        $this->id = $id;
        return $this;
    }

    public function setIdEXAME($id_exame)
    {
        $this->id_exame = $id_exame;
        return $this;
    }

    public function setIdPROCEDIMENTO($id_procedimento)
    {
        $this->id_procedimento = $id_procedimento;
        return $this;
    }



    public function build () {
        $profissional = new ProcedimentoExame();
        $profissional->setId($this->id);
        $profissional->setIdEXAME($this->id_exame);
        $profissional->setIdPROCEDIMENTO($this->id_procedimento);

        return $profissional;
    }
}